/*                                                                  |- CFSFC -|
 * The contents of this file are subject to the Mozilla
 * Public License Version 1.0 (the "License"); you may
 * not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/ 
 *
 * Software distributed under the License is distributed
 * on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied. See the
 * License for the specific language governing rights
 * and limitations under the License. 
 *
 * The Original Code is the ROWS widget library
 * for Impulse.
 *
 * The Initial Developer of the Original Code is
 * Andrew Hunter. Portions created by Andrew Hunter
 * are Copyright (C) 1999 Andrew Hunter.
 * All Rights Reserved
 *
 * Contributor(s):
 * No-one (yet :-)
 */

/*
 * comms.c
 * -------
 *
 * ROWS generic communication interface
 */

#include "../../../config.h"

#include "impulse/rows/comms_int.h"
#include "impulse/comms/transport_int.h"
#include <stddef.h>


static struct _impulse_unistring _ROWS_comms_name =
{
  3, 3,
  (impulse_unichar[]){
    (impulse_unichar)'w',
    (impulse_unichar)'i',
    (impulse_unichar)'n', 
    (impulse_unichar)'\0'
  }
};

static struct _impulse_transport_funcs _ROWS_comms_funcs =
{
  ROWS_comms_create,
  ROWS_comms_destroy,
  ROWS_comms_handle,
  ROWS_comms_unhandle,
  ROWS_comms_open,
  ROWS_comms_accept,
  ROWS_comms_close,
  ROWS_comms_active,
  ROWS_comms_pending,
  ROWS_comms_send,
  ROWS_comms_receive,
  ROWS_comms_peek,
  ROWS_comms_local,
  ROWS_comms_remote,
};


struct _impulse_transport _ROWS_comms_transport = 
{
  &_ROWS_comms_name,
  IMPULSE_TRANSPORT_REMOTE | IMPULSE_TRANSPORT_RELIABLE |
    IMPULSE_TRANSPORT_SEQUENCED | IMPULSE_TRANSPORT_DATAGRAM |
    IMPULSE_TRANSPORT_CONNECTIONLESS | IMPULSE_TRANSPORT_PEER,
  &_ROWS_comms_funcs
};

impulse_transport ROWS_comms_transport = &_ROWS_comms_transport;

#if HAVE_GUI_XWIN
# include "impulse/rows/comms_xwin.c"
#else
# error "Comms module not supported on this platform"
#endif


/* End of file */
